Skip to main content

Content (v0)

Download OpenAPI specification:Download

Search our non-catalogue content

Articles

/articles

Returns a paginated list of articles

query Parameters
query
string

Full-text search query

sort
string
Enum: "relevance" "publicationDate"

Which field to sort the results on

sortOrder
string
Enum: "asc" "desc"

The order that the results should be returned in

aggregations
string
Enum: "contributors.contributor" "format"

What aggregated data in relation to the results should we return

contributors.contributor
string

Filter the articles by contributor

format
string

Filter the articles by format

publicationDate.from
string <date>

Return all articles with a publication date after and including this date.

Can be used in conjunction with publicationDate.to to create a range.

publicationDate.to
string <date>

Return all articles with a publication date before and including this date.

Can be used in conjunction with publicationDate.from to create a range.

string or Array of strings

Filter by linked catalogue work IDs. Accepts multiple work IDs via comma-separated values or repeated parameters.

page
integer >= 1
Default: 1

The page to return from the result list

pageSize
integer [ 1 .. 100 ]
Default: 10

The number of results to return per page

Responses

/articles/{id}

Returns a single article

path Parameters
id
required
string

The article to return

Responses

Events

/events

Returns a paginated list of events

query Parameters
query
string

Full-text search query

sort
string
Enum: "relevance" "times.startDateTime"

Which field to sort the results on

sortOrder
string
Enum: "asc" "desc"

The order that the results should be returned in

aggregations
string
Enum: "format" "audience" "interpretation" "location" "isAvailableOnline" "timespan"

What aggregated data in relation to the results should we return

format
string

Filter events by format. Supports both inclusion and exclusion.

  • To include: ?format=workshop or ?format=WcKmiysAACx_A8NR
  • To exclude: ?format=!exhibitions
  • Multiple values: ?format=workshop,screening

Supported aliases: exhibitions, workshop, gallery-tour, screening, performance, discussion, festival, late, shopping, walking-tour, study-day, send-workshop, seminar, symposium, chill-out, installation, game, session, relaxed-opening

audience
string

Filter the events by audience

interpretation
string

Filter the events by interpretation

location
string
Enum: "online" "in-our-building"

Filter the events by location

isAvailableOnline
string
Value: "true"

Filter to catch-up events only

timespan
string
Enum: "today" "this-week" "this-weekend" "this-month" "future" "past" "january" "february" "march" "april" "may" "june" "july" "august" "september" "october" "november" "december"

Filter events by timespan

string or Array of strings

Filter by linked catalogue work IDs. Accepts multiple work IDs via comma-separated values or repeated parameters.

page
integer >= 1
Default: 1

The page to return from the result list

pageSize
integer [ 1 .. 100 ]
Default: 10

The number of results to return per page

Responses

/events/{id}

Returns a single event

path Parameters
id
required
string

The event to return

Responses

All

/all

Returns a paginated list of our non-catalogue content, i.e. (articles, books, events, exhibitions, exhibition texts, exhibition highlight tours (BSL), exhibition highlight tours (audio), pages, projects, seasons, and visual stories)

query Parameters
query
string

Full-text search query

string or Array of strings

Filter by linked catalogue work IDs. Accepts multiple work IDs via comma-separated values or repeated parameters.

page
integer >= 1
Default: 1

The page to return from the result list

pageSize
integer [ 1 .. 100 ]
Default: 10

The number of results to return per page

Responses

/all/{id}

Returns a single piece of our non-catalogue content

path Parameters
id
required
string

The id of the content to return

Responses